Get payment details
Fetch particular payment details.
BearerAuthorizationBearer <token>Bearer token using a JWT.
id*stringIdentifier of the payment.
uuidX-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
1OK - Successful request, returning given payment's details.
application/json- response
id*stringIdentifier of the payment.
uuidcurrency*stringCurrency in which the payment is made, in ISO 4217 format (3 uppercase letters).
amount*integerThe amount of the transaction in fractional unit (pence, cents etc).
paymentReference*stringPayment reference provided by the partner (or generated by Volt). Used for reconciliation, visible on the bank statement.
length <= 18internalReference*|Identifier of the transaction in the partner's system.
paymentSystem*"OPEN_BANKING_EU"Payment system used to make a transfer.
"OPEN_BANKING_EU"openBankingEU*Definition used for processing transfer with the PSD directive (Open Banking). Object is present in the response if paymentSystem is set to OPEN_BANKING_EU.
payer*Information about the payer.
sender*Information about the source account (sender).
beneficiary*Information about the target account (beneficiary).
device*Device used to call the endpoint for payment creation.
status*StatusEnumStatus of the transaction.
"NEW_PAYMENT""APPROVED_BY_RISK""REFUSED_BY_RISK""BANK_REDIRECT""ADDITIONAL_AUTHORIZATION_REQUIRED""AUTHORISED_BY_USER""ERROR_AT_BANK""REFUSED_BY_BANK""DELAYED_AT_BANK""COMPLETED""NOT_RECEIVED""RECEIVED""FAILED""CANCELLED_BY_USER""ABANDONED_BY_USER""AWAITING_CHECKOUT_AUTHORISATION""ACCOUNT_SELECTION""REQUIRED_REDEEM""PAYOUT_INITIATED""SETTLED""UNKNOWN""PROVIDER_COMMUNICATION_ERROR"transferType*|Payment scheme used to make a transaction.
displayInfo*array<>Additional information (key-value pairs) to be displayed on checkout.
createdAt*stringDate of payment creation.
date-timeupdatedAt?|Date of payment's last update.
date-timepaymentInitiationFlow*Payment initiation flow object. It steers the initiation flow.
curl -X GET "https://example.com/payments/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "X-Volt-Api-Version: 1"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "currency": "EUR", "amount": 10000, "paymentReference": "XV9840MK550AMKQ910", "internalReference": "H35X48Y4FWOD6G3S", "paymentSystem": "OPEN_BANKING_EU", "openBankingEU": { "type": "BILL", "institutionId": "cdae5c01-a629-4362-be56-52101ec22a49", "validityPeriod": 1440, "provider": "Volt", "accountIdentifiers": { "iban": "DE75512108001245126199" } }, "payer": { "reference": "JDOE-101", "firstName": "John", "lastName": "Doe", "organisationName": "JD Holdings", "email": "johndoe@example.com", "accountIdentifiers": { "iban": "DE75512108001245126199" } }, "sender": { "name": "John Doe", "accountIdentifiers": { "iban": "DE75512108001245126199" } }, "beneficiary": { "name": "Jane Doe", "accountIdentifiers": { "iban": "PL10105000997603123456789123" } }, "device": { "ip": "192.168.0.1", "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0) Gecko/20100101 Firefox/42.0", "fingerprint": "2aae6c35c94fcfb415dbe95f408b9ce91ee846ed" }, "status": "NEW_PAYMENT", "transferType": "SEPA Credit Transfer (within SEPA Zone)", "displayInfo": [ { "key": "Product SKU", "value": "87ec73a0" } ], "createdAt": "2024-04-15T15:52:01+00:00", "updatedAt": "2005-08-15T15:52:01+00:00", "paymentInitiationFlow": { "status": "PROCESSING", "details": { "reason": "AWAITING_USER_REDIRECT", "redirect": { "url": "https://vo.lt/asqIs", "directUrl": "https://myBank.com/authorisation?code=xyz" } } }}